EDIT - bug #6570

rank list should be sorted
04/20/2017 11:09 AM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal Found in Version:

Description

The list of ranks for creation of a new name in bulk editor should be sorted.

Hallo,

nice-to-have: Die Auswabhlliste fiir den Rang eines neuen Namen sollte irgendwie geordnet sein.
Herzlichen Gruf3

Walter

Associated revisions

Revision 5039be8c - 04/20/2017 11:18 AM - Katja Luther
fix #6570: use treeMap for getKeyLabelPairs() to sort the ranks

Revision bc1205e4 - 05/04/2017 09:27 AM - Katja Luther

fix #6570: sort ranks in reverse order

Revision 3271c92d - 05/11/2017 09:05 AM - Katja Luther

fix #6570: add comparator to treemap to provide the correct order in rank drop down

Revision 639ad834 - 05/11/2017 12:35 PM - Katja Luther
ref #6570: minor

History

#1 - 04/20/2017 11:20 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5039be8cb876e8be10ca29a7{80fadbb7869d224.

#2 - 05/04/2017 09:21 AM - Katja Luther
Hallo Katja,

du hattest doch glaube ich an der Reihenfolge der Rdnge im Name Bulkeditor beim Anlegen eines neuen Namens gearbeitet.
Die Rénge sind jetzt sortiert, aber leider noch falsch rum (das liegt an der unintuitiven Reihenfolge bei den Ordered Terms).
Kénntest du das noch &ndern?

AuBerdem habe ich das Ticket dazu gesucht. Gibt es eins? Wenn ja, bitte dem 4.7 zuordnen und schlieBen, sobald die Reihenfolge richtig ist,
ansonsten bitte eins anlegen.

#3 - 05/04/2017 09:34 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#4 - 05/10/2017 06:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/5039be8cb876e8be10ca29a7f80fadbb7869d224

Unfortunately it is still in the wrong order. From the code

https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/bc1205e46dc994122c14d750e13ea0285059362¢/diff | also don't
understand why there is an order at all. To me it looks like the data is stored in a map (result variable) so it can not be sorted.

#5 - 05/11/2017 08:59 AM - Katja Luther

The map is a treemap, this is a sorted map.

#6 - 05/11/2017 09:05 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|3271c92d309b7cd7086c5b5ebd58632906f1361b.

#7 - 05/11/2017 09:06 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#8 - 06/08/2017 09:24 AM - Andreas Mdiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 50 to 100

Looks fine now.
